libzypp 17.37.10

RepoFileReader.cc File Reference
`#include <iostream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/StringV.h>`
`#include <utility>`
`#include <zypp-core/base/InputStream>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp-core/parser/IniDict>`
`#include <zypp/parser/RepoFileReader.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser

## Functions
static void | zypp::parser::repositories_in_stream (const InputStream &is, const RepoFileReader::ProcessRepo &callback, const ProgressData::ReceiverFnc &progress)
| List of RepoInfo's from a file.
std::ostream & | zypp::parser::operator<< (std::ostream &str, const RepoFileReader &obj)